Skip to main content
PATCH
/
api
/
v1
/
addons
/
{addon_id}
Update an add-on
curl --request PATCH \
  --url https://api.example.com/api/v1/addons/{addon_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "max_instances_per_subscription": 123,
  "name": "<string>",
  "price_id": "pri_7n42DGM5Tflk9n8mt7Fhc7",
  "self_serviceable": true
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "price_id": "<string>",
  "product_id": "<string>",
  "self_serviceable": true,
  "archived_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "fee_type": "RATE",
  "max_instances_per_subscription": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

addon_id
string<MeteroidId>
required

Add-on ID

Example:

"add_7n42DGM5Tflk9n8mt7Fhc7"

Body

application/json
description
string | null
max_instances_per_subscription
integer<int32> | null
name
string | null
price_id
null | string<MeteroidId>
Example:

"pri_7n42DGM5Tflk9n8mt7Fhc7"

self_serviceable
boolean | null

Response

Add-on updated

created_at
string<date-time>
required
id
string<MeteroidId>
required
Example:

"add_7n42DGM5Tflk9n8mt7Fhc7"

name
string
required
price_id
string<MeteroidId>
required
Example:

"pri_7n42DGM5Tflk9n8mt7Fhc7"

product_id
string<MeteroidId>
required
Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

self_serviceable
boolean
required
archived_at
string<date-time> | null
description
string | null
fee_type
null | enum<string>
Available options:
RATE,
SLOT,
CAPACITY,
USAGE,
EXTRA_RECURRING,
ONE_TIME
max_instances_per_subscription
integer<int32> | null